module.exports = `
  Object(证件中心卡片模板配置) {
    certDocName(证件中文名称): String[default: "驾驶证"],
    certDocType(证件类型): String[default: "DRIVING_LICENSE"],
    valid(是否生效): Boolean[default: true],
    fields(证件字段): Array[maxLength: 2]{
      label(字段描述):String[default: "字段A"],
      value(字段名字):String[default: "fieldA"],
      fieldType(字段类型):Enum{
        STRING(字符串),
        DATE(日期),
      },
      nullable(是否可为空):Boolean[default: true],
      constraintType(字段约束类型):Enum {
        NONE(无约束),
        REGULAR_EXPRESS(正则表达式),
        CHOICE(选择),
      },
      constraint(字段约束):String[if: "$.constraintType!='NONE'"]
    },
    certNoFieldName(作为证件号的字段):Enum[source: "fields"],
    nameFieldName(作为姓名的字段):Enum[source: "fields"],
    pictures(证件图片): Array {
      pictureName(图片中文名称): String[default:"主页"],
      pictureType(图片类型): String[default:"DRIVING_LICENSE_HOME_PAGE"],
      guideImage(采集引导页示例图片): Image
    },
    services(关联服务): Array{
      serviceName(服务名称):String[default:"买车险"],
      serviceUrl(服务URL):String[default:"www.alipay.com"],
      serviceLogo(服务LOGO):Image
    },
    listPage(列表页配置): Object{
      certDocListSeq(列表页顺序): Number[default: 99]
      certBgImg(证件背景图片): Image
      certIcon(证件icon): Image
      certAddIcon(添加时证件icon): Image,
      startColor(背景颜色起始色): Color,
      endColor(背景颜色结束色): Color,
      textShadowColor(证件字体阴影颜色): Color,
      subTitleColor(证件副文案、边缘颜色): Color
      serviceTips(添加后可享受服务): String[default: "体验更多车主服务"],
    },
    showPage(展示页配置): Object{
      template(卡面模板): Number[default: 5],
      backgroundImage(卡面背景图片): Image,
      summaryFields(卡面字段列表): Array{
        fieldName(字段名): Enum [ source: "$root.fields" ],
        showType(展示类型): Enum{
          TITLE(字段名称),
          VALUE(字段值),
        },
      },
    },
    detailPage(详情页配置): Object{
      detailShowFields(详情页展示字段列表): Array{
          fieldName(字段名字):String[default: "fieldA"],
        },
    },
    collect(采集配置): Object{
      supportCollect(是否支持卡包采集): Boolean[default: false],
      limitCount(可添加证件数上限): Number[default: 10],
      formSupportFields(确认页表单字段列表): Array{
        fieldName(字段名字):String[default: "fieldA"],
        widgetType(控件类型):Enum{
          0(文本)
          1(数字)
          2(日期)
        }
      }
    }
  }
`;
