'use strict';

var _tooltip = require('antd/lib/tooltip');

var _tooltip2 = _interopRequireDefault(_tooltip);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _reactCopyToClipboard = require('react-copy-to-clipboard');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Copy = function (_React$Component) {
  _inherits(Copy, _React$Component);

  function Copy() {
    _classCallCheck(this, Copy);

    var _this = _possibleConstructorReturn(this, (Copy.__proto__ || Object.getPrototypeOf(Copy)).call(this));

    _this.state = {
      copied: false
    };
    return _this;
  }

  _createClass(Copy, [{
    key: 'handleCopied',
    value: function handleCopied() {
      var _this2 = this;

      this.setState({ copied: true }, function () {
        return setTimeout(function () {
          return _this2.setState({ copied: false });
        }, 2000);
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var _this3 = this;

      var _props = this.props,
          text = _props.text,
          className = _props.className,
          description = _props.description,
          children = _props.children;
      var copied = this.state.copied;

      var cls = (0, _classnames2.default)('common-copy', className);
      return _react2.default.createElement(
        _reactCopyToClipboard.CopyToClipboard,
        { text: text, onCopy: function onCopy() {
            return _this3.handleCopied();
          } },
        _react2.default.createElement(
          'span',
          { className: cls },
          _react2.default.createElement(
            _tooltip2.default,
            { title: copied ? '已复制' : '' + (description || '复制'), placement: 'top', mouseLeaveDelay: 0 },
            _react2.default.createElement(
              'span',
              { style: { cursor: 'pointer' } },
              children
            )
          )
        )
      );
    }
  }]);

  return Copy;
}(_react2.default.Component);

module.exports = Copy;