'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.uid = uid;

var _addKey = require('./addKey');

Object.defineProperty(exports, 'addKey', {
  enumerable: true,
  get: function get() {
    return _interopRequireDefault(_addKey).default;
  }
});

var _devtool = require('./devtool');

Object.keys(_devtool).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _devtool[key];
    }
  });
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * 返回 uuid
 * @param {number=} len uid 长度
 * @param {string=} prefix 前缀
 * @return {string} uuid
 */
function uid(len, prefix) {
  len = len || 10;
  prefix = prefix || '';
  return prefix + Math.random().toString(35).slice(3, len + 3);
}