const gulp = require('gulp');
const babel = require('gulp-babel');

gulp.task('babel', function() {
  return gulp.src('./lib/**/*.js')
    .pipe(babel({
      presets: [ 'es2015', 'react', 'stage-0' ],
      plugins: [[ 'import', {
        libraryName: 'antd',
        style: 'less',
      }], 'transform-react-jsx' ],
    }))
    .pipe(gulp.dest('./dist/'));
});

gulp.task('default', [ 'babel' ]);
