/**
 * 返回 uuid
 * @param {number=} len uid 长度
 * @param {string=} prefix 前缀
 * @return {string} uuid
 */
export function uid(len, prefix) {
  len = len || 10;
  prefix = prefix || '';
  return prefix + Math.random().toString(35).slice(3, len + 3);
}

export { default as addKey } from './addKey';
export * from './devtool';
